name: CI

on: push

jobs:
  build:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v2
      - name: Build 
      - run: |
          echo 'Build stuff ...'
          sleep 100
          echo 'OK!'
  test: 
    needs: [build]
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v2
      - name: Test
        run: |
          echo 'Testing ...'
          sh final/report.sh
          echo 'OK!'
  deploy:
    needs: [test]
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v2
      - name: Deploy
      - run: |
          echo 'Deploying ...'
          # add some deployment steps
          echo 'DONE!'
    

